org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassificationPerformanceEvaluator

- java.lang.Object
- - org.apache.samoa.moa.AbstractMOAObject
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassificationPerformanceEvaluator

- All Implemented Interfaces:
    Serializable, org.apache.samoa.evaluation.ClassificationPerformanceEvaluator, org.apache.samoa.evaluation.PerformanceEvaluator, org.apache.samoa.moa.MOAObject

      public class StreamingClassificationPerformanceEvaluator
      extends org.apache.samoa.moa.AbstractMOAObject
      implements org.apache.samoa.evaluation.ClassificationPerformanceEvaluator

  Uses for evaluate classification performance Combination of Samoa samoa/samoa-api/src/main/java/com/yahoo/labs/samoa/evaluation/ BasicClassificationPerformanceEvaluator.java and samoa/samoa-api/src/main/java/com/ yahoo/labs/samoa/evaluation/ClassificationPerformanceEvaluator.java
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double[]` | `columnKappa`
    `protected long[]` | `falseNegative`
    `protected long[]` | `falsePositive`
    `protected int` | `numClasses`
    `protected double[]` | `rowKappa`
    `protected long[]` | `support`
    `protected long[]` | `trueNegative`
    `protected long[]` | `truePositive`
    `protected double` | `weightCorrect`
    `protected double` | `weightObserved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassificationPerformanceEvaluator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResult(org.apache.samoa.instances.Instance inst, double[] classVotes)`
    `void` | `getDescription(StringBuilder sb, int indent)`
    `double` | `getFractionCorrectlyClassified()`
    `double` | `getFractionIncorrectlyClassified()`
    `double` | `getKappaStatistic()`
    `double` | `getKappaTemporalStatistic()`
    `org.apache.samoa.moa.core.Measurement[]` | `getPerformanceMeasurements()`
    `double` | `getTotalWeightObserved()`
    `void` | `reset()`
    `void` | `reset(int numClasses)`

    - ### Methods inherited from class org.apache.samoa.moa.AbstractMOAObject

      `copy, copy, measureByteSize, measureByteSize, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.samoa.moa.MOAObject

      `copy, measureByteSize`

- - ### Field Detail

    - #### numClasses

          protected int numClasses

    - #### support

          protected long[] support

    - #### truePositive

          protected long[] truePositive

    - #### falsePositive

          protected long[] falsePositive

    - #### trueNegative

          protected long[] trueNegative

    - #### falseNegative

          protected long[] falseNegative

    - #### weightObserved

          protected double weightObserved

    - #### weightCorrect

          protected double weightCorrect

    - #### columnKappa

          protected double[] columnKappa

    - #### rowKappa

          protected double[] rowKappa

  - ### Constructor Detail

    - #### StreamingClassificationPerformanceEvaluator

          public StreamingClassificationPerformanceEvaluator()

  - ### Method Detail

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `org.apache.samoa.evaluation.PerformanceEvaluator`

    - #### reset

          public void reset(int numClasses)

    - #### addResult

          public void addResult(org.apache.samoa.instances.Instance inst,
                                double[] classVotes)

      Specified by:
        `addResult` in interface `org.apache.samoa.evaluation.PerformanceEvaluator`

    - #### getPerformanceMeasurements

          public org.apache.samoa.moa.core.Measurement[] getPerformanceMeasurements()

      Specified by:
        `getPerformanceMeasurements` in interface `org.apache.samoa.evaluation.PerformanceEvaluator`

    - #### getDescription

          public void getDescription(StringBuilder sb,
                                     int indent)

      Specified by:
        `getDescription` in interface `org.apache.samoa.moa.MOAObject`

    - #### getTotalWeightObserved

          public double getTotalWeightObserved()

    - #### getFractionCorrectlyClassified

          public double getFractionCorrectlyClassified()

    - #### getFractionIncorrectlyClassified

          public double getFractionIncorrectlyClassified()

    - #### getKappaStatistic

          public double getKappaStatistic()

    - #### getKappaTemporalStatistic

          public double getKappaTemporalStatistic()

Copyright © 2017 WSO2. All rights reserved.